<?php 
class VstBotonTitulo{
	
	protected $_icono = null;
	protected $_enlace;
	protected $_title;
	protected $_texto;
	protected $_baseUrl;
	protected $_mensaje_confirmacion;
	protected $_clase = '';
	protected $_modal = false;
	protected $_ajax = false;
	protected $_destino = '';
	protected $_atributos = array();
	public function __construct($enlace, $title, $texto, $mensajeConfirmacion='', $ajax = false){
		$icono = new VstIcono(VstIcono::APP_icon_pencil, true);
		
		$this->_enlace = $enlace;
		$this->_texto = $texto;
		$this->_title = $title;
		$this->_icono = $icono; 
		$this->_baseUrl = BASEURL;
		$this->_mensaje_confirmacion = $mensajeConfirmacion;
		$this->_ajax = $ajax;
		
		$this->setClase('boton_listado btn btn-xs btn-warning');
	}

	public function setDestino($destino){
		$this->_destino = $destino;
	}
	public function getDestino(){
		return $this->_destino;
	}
	public function setModal($valor){
		$this->_modal = $valor;
	}
	
	public function setClase($valor){
		$this->_clase = $valor;
	}
	public function setEnlace($enlace){
		$this->_enlace  = $enlace;
	}
	public function setMensajeConfirmacion($mensaje){
		$this->_mensaje_confirmacion = $mensaje;
	}
	
	public function setIcono($icono){
		$this->_icono = $icono;
	}
	public function setTitle($title){
		$this->_title = $title;
	}
	public function setTexto($texto){
		$this->_texto = $texto;
	}
	public function setBaseUrl($texto){
		$this->_baseUrl = $texto;
	}
	public function getBaseUrl(){
		return $this->_baseUrl;
	}
	public function setAtributo($key , $value){
		$this->_atributos[$key] = $value;;
	}
	
	public function render(){
		$atributos = '';
		foreach ($this->_atributos as $key => $value){
			$atributos .=' '.$key.'="'.$value.'" ';
		}
		$html = '';
		$confirmacion = '';
		$claseExtra = '';
		if(strlen($this->_mensaje_confirmacion)>0){
			$confirmacion = 'onclick="if(window.confirm(\''.$this->_mensaje_confirmacion.'\')){$(this).removeClass(\'con_confirmacion\');}else{return false};"';
			$claseExtra = 'con_confirmacion';
		}
		$html .= '<a ';
		if($this->_modal){
			
			$html .= ' role="button" data-toggle="modal" data-target="'.$this->_destino.'"';
		}
		$html .= $atributos .' title="'.$this->_title.'" class="'.$claseExtra.' '.$this->_clase.' '.(($this->_ajax)?'boton_ajax':'').'" href="'.$this->_baseUrl . $this->_enlace .'" '.$confirmacion.'>'.(($this->_icono instanceof VstIcono)? $this->_icono->render():'').''.((strlen($this->_texto)>0)?' ':'').$this->_texto .'</a>';
		return $html;
	}
	
	
}